relation: calculate spatial relation between two geometries

## Functions

template<typename Geometry1 , typename Geometry2 >
de9im::matrix | boost::geometry::relation (Geometry1 const &geometry1, Geometry2 const &geometry2)
| Calculates the relation between a pair of geometries as defined in DE-9IM.

## Function Documentation

template<typename Geometry1 , typename Geometry2 >

de9im::matrix boost::geometry::relation | ( | Geometry1 const & | geometry1,
|  | Geometry2 const & | geometry2
| ) |  |

Calculates the relation between a pair of geometries as defined in DE-9IM.

Template Parameters:

  Geometry1 | Any type fulfilling a Geometry Concept
  Geometry2 | Any type fulfilling a Geometry Concept

Parameters:

  geometry1 | A model of the specified concept
  geometry2 | A model of the specified concept

Returns:
  The DE-9IM matrix expressing the relation between geometries.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK